let x, y; // Position of the ball
let xSpeed, ySpeed; // Speed of the ball
let ballRadius = 20; // Radius of the ball

function setup() {
  createCanvas(400, 400);
  x = width / 2;
  y = height / 2;
  xSpeed = random(-3, 3);
  ySpeed = random(-3, 3);
}

function draw() {
  background(30); // Set background color
  fill(255, 100, 150); // Set ball color
  noStroke();
  ellipse(x, y, ballRadius * 2); // Draw the ball

  // Update position
  x += xSpeed;
  y += ySpeed;

  // Check for collision with walls
  if (x < ballRadius || x > width - ballRadius) {
    xSpeed *= -1; // Reverse x direction
  }
  if (y < ballRadius || y > height - ballRadius) {
    ySpeed *= -1; // Reverse y direction
  }
}
